/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ParadaEquivalencia;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Administrador
 */
public class RenderParadaEquivalencia implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ParadaEquivalencia paradaEquivalencia = (ParadaEquivalencia) o;

		Listcell lc = new Listcell(paradaEquivalencia.getParadaequivalenciaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(paradaEquivalencia.getParada().getDescparada());
		lc.setParent(lstm);

		lc = new Listcell(paradaEquivalencia.getParada().getCveparada());
		lc.setParent(lstm);

		lc = new Listcell(paradaEquivalencia.getComisionistaExterno().getDesccomisionista());
		lc.setParent(lstm);

		lc = new Listcell(paradaEquivalencia.getEquivalenciaId());
		lc.setParent(lstm);

		lstm.setAttribute("data", paradaEquivalencia);
	}
}
